freemarker.template.utility

## Class HtmlEscape

- java.lang.Object
- - freemarker.template.utility.HtmlEscape

All Implemented Interfaces:
  TemplateModel, TemplateTransformModel

    public class HtmlEscape
    extends Object
    implements TemplateTransformModel

Performs an HTML escape of a given template fragment. Specifically, < > " and & are all turned into entities.

Usage:
From java:

     SimpleHash root = new SimpleHash();

     root.put( "htmlEscape", new freemarker.template.utility.HtmlEscape() );

     ...

From your FreeMarker template:

     The following is HTML-escaped:
     <transform htmlEscape>
       <p>This paragraph has all HTML special characters escaped.</p>
     </transform>

     ...

See Also:
  `XmlEscape`

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`HtmlEscape()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Writer` `getWriter(Writer out, Map args)` Returns a writer that will be used by the engine to feed the transformation input to the transform.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlEscape

    public HtmlEscape()

### Method Detail

#### getWriter

    public Writer getWriter(Writer out,
                            Map args)

Description copied from interface: `TemplateTransformModel`
Returns a writer that will be used by the engine to feed the transformation input to the transform. Each call to this method must return a new instance of the writer so that the transformation is thread-safe.

Specified by:
  `getWriter` in interface `TemplateTransformModel`
Parameters:
  `out` - the character stream to which to write the transformed output
  `args` - the arguments (if any) passed to the transformation as a map of key/value pairs where the keys are strings and the arguments are TemplateModel instances. This is never null. If you need to convert the template models to POJOs, you can use the utility methods in the `DeepUnwrap` class.
Returns:
  a writer to which the engine will feed the transformation input, or null if the transform does not support nested content (body). The returned writer can implement the `TransformControl` interface if it needs advanced control over the evaluation of the transformation body.